package com.lovecoding.day04;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo08
 * @description 判断回文数
 * 给定整数 12321，使用循环和分支语句判断它是否为回文数（正读和反读都一样的数）。 是回文数输出 yes，否则输出 no。
 * @create 2026/7/10
 */
public class Demo08 {
    public static void main(String[] args) {
        int n=12321;    //给定的整数，但是他会一直变化
        int a=n;    //永远不变的数，用来跟最后得到的反着的数进行比较
        int b=0;    //最终得到反着的 n
        while (n>0){    //只要大于0，就一直循环
            int f= n % 10;  //获得n的最后一位数
            //拿到反着的数
            b=b*10 + f;
            n/=10;
        }
        System.out.println(a == b ? "yes":"no");
    }
}
